Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.tax
Class TaxResultImpl

    java.lang.Object
      |
      +--com.beasys.commerce.foundation.BelongingImpl
            |
            +--com.beasys.commerce.ebusiness.tax.TaxResultImpl

public class TaxResultImpl
extends BelongingImpl
implements TaxResult, java.lang.Cloneable

A holder for various taxinfo belongings: total: A summary of all taxes and reasons line: A ordered list of lines that correspond to various taxes. The order is the same as the order of the taxlinelist being used to generate the taxes.

See Also:
  `TaxResult`, `TaxResultHome`, Serialized Form

Field Summary
`java.util.List` | `line` One TaxInformation for each line in the original order.
`TaxInformation` | `total` The total information for the order that was processed.

Fields inherited from class com.beasys.commerce.foundation.BelongingImpl
`__classIdentifier, __containingBelonging, __containingEntity, __mapKey, __sequenceNumber, _isDirty`

Constructor Summary
`TaxResultImpl()`

Method Summary
`void` | `calculateTotals()` This method should be called by anyone constructing TaxResults, it will calculate the total TaxInformation attribute.
`int` | `compareTo(java.lang.Object o)` Compare this belonging to another
`java.util.List` | `getLine()` Get the value of line
`TaxInformation` | `getTotal()` Get the value of total
`java.lang.String` | `interfaceName()` interfaceName() returns the unqualified name of the interface from the UML model
`void` | `setByValue(Belonging value)` It is possible to call set-by-value with a superclass.
`void` | `setLine(java.util.List list)` Set the value of Line
`void` | `setTotal(TaxInformation total)` Set the value of total
`Belonging` | `value()` value() is a more typesafe implementation of clone()

Methods inherited from class com.beasys.commerce.foundation.BelongingImpl
`clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clone, doRelationalBinding, doRelationalBinding, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, enumerateRelationalBinding, enumerateRelationalBinding, equals, get__classIdentifier, get__containingBelonging, get__containingEntity, get__containingEntityReference, get__mapKey, get__sequenceNumber, getPersistenceHelperPlugin, hashCode, set__classIdentifier, set__containingBelonging, set__containingEntity, set__containingEntityReference, set__mapKey, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### line

    public java.util.List line

  One TaxInformation for each line in the original order.
  - Containment: By Value
  - Multiplicity: 0:N
  - Interface: java.util.List

### total

    public TaxInformation total

  The total information for the order that was processed.
  - Containment: By Value
  - Multiplicity: 1:1

Constructor Detail

### TaxResultImpl

    public TaxResultImpl()

Method Detail

### getLine

    public java.util.List getLine()

  Get the value of line
  Specified by:
    getLine in interface TaxResult

  Returns:
    line.

### setLine

    public void setLine(java.util.List list)

  Set the value of Line
  Specified by:
    setLine in interface TaxResult

  Parameters:
    `line` - to be set

### getTotal

    public TaxInformation getTotal()

  Get the value of total
  Specified by:
    getTotal in interface TaxResult

  Returns:
    total.

### setTotal

    public void setTotal(TaxInformation total)

  Set the value of total
  Specified by:
    setTotal in interface TaxResult

  Parameters:
    `total` - total to be added

### value

    public Belonging value()

  value() is a more typesafe implementation of clone()

  Returns:
    a clone of this instance

### interfaceName

    public java.lang.String interfaceName()

  interfaceName() returns the unqualified name of the interface from the UML model

  Returns:
    the unqualified name of the belonging interface from the UML model

### setByValue

    public void setByValue(Belonging value)

  It is possible to call set-by-value with a superclass. If that is the case, only the fields in the superclass will be set in this instance. The remaining fields get the default values.

  It is also possible to call set-by-value with a subclass. In this case, the specialized fields in the subclass will be ignored. The overridden fields in the subclass will be populated.

  Overrides:
    setByValue in class BelongingImpl

### compareTo

    public int compareTo(java.lang.Object o)

  Compare this belonging to another

  Parameters:
    `o` - target object for comparision
  Returns:
    0 objects are equal
  Overrides:
    compareTo in class BelongingImpl

### calculateTotals

    public void calculateTotals()

  This method should be called by anyone constructing TaxResults, it will calculate the total TaxInformation attribute. Typically, the caller would be a subclass of TaxCalculator. The user of a TaxCalculator does not have to call calculateTotals.
  Specified by:
    calculateTotals in interface TaxResult

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved